Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.security.providers.saml
Interface SAMLAssertionStore

All Known Subinterfaces:
  SAMLAssertionStoreV2

    public interface SAMLAssertionStore

`SAMLAssertionStore` defines an interface for storing and retrieving SAML assertions for use with the Artifact profile.

Classes implementing this interface must have a public no-arg constructor and must be in the system classpath.

Method Summary
`void` | `flushStore()` Flush all assertions.
`boolean` | `initStore(Properties props)` Initialize the store.
`void` | `releaseStore()` Release the store.
`Element` | `retrieveAssertion(String artifact)` Retrieve an assertion given an artifact.
`boolean` | `storeAssertion(String artifact, long expire, Element assertion)` Stores the given assertion for later retrieval using the specified artifact as a key.

Method Detail

### initStore

    boolean initStore(Properties props)

  Initialize the store. Although the store will normally be instantiated and initialized only once, at server start time, an implementation should be robust in the face of multiple instantiations and multiple calls to init and release.

  Parameters:
    `props` - A `Properties` object containing properties the store needs to initialize. Can be empty or null.
  Returns:
    True if initialization succeeded, false otherwise.

### releaseStore

    void releaseStore()

  Release the store. Not guaranteed to be called at server shutdown. Although the store will normally be instantiated and initialized only once, at server start time, an implementation should be robust in the face of multiple instantiations and multiple calls to init and release.

### flushStore

    void flushStore()

  Flush all assertions.

### storeAssertion

    boolean storeAssertion(String artifact,
                           long expire,
                           Element assertion)

  Stores the given assertion for later retrieval using the specified artifact as a key.

  Parameters:
    `artifact` - The SAML artifact to use as a key when storing/retrieving the assertion.
    `expire` - The NotOnOrAfter time of the assertion. The assertion may be discarded if not retrieved prior to this time.
    `assertion` - The assertion to store, as a DOM `Element`.
  Returns:
    True if the assertion was successfully stored, false otherwise.

### retrieveAssertion

    Element retrieveAssertion(String artifact)

  Retrieve an assertion given an artifact. If successful, the assertion is returned to the caller and removed from the store.

  Parameters:
    `artifact` - The SAML artifact corresponding to the desired assertion.
  Returns:
    The requested assertion, as a DOM `Element`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs92 Copyright 2006 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD